Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® Application Server XML Java API Reference 10g Release 2 (10.1.2) Part no. B12024-03 September 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.soap
Class Fault

    java.lang.Object
      |
      +--org.apache.soap.Fault

public class Fault
extends java.lang.Object

A `Fault` object represents the contents and semantics of a `<SOAP-ENV:Fault>` element.

Constructor Summary
`Fault()`
`Fault(SOAPException _soapException)`

Method Summary
`void` | `declareNamespace(java.lang.String nsPrefix, java.lang.String namespaceURI)`
`java.lang.String` | `getAttribute(QName attrQName)`
`java.util.Vector` | `getDetailEntries()`
`java.lang.String` | `getFaultActorURI()`
`java.lang.String` | `getFaultCode()`
`java.util.Vector` | `getFaultEntries()`
`java.lang.String` | `getFaultString()`
`void` | `marshall(java.lang.String inScopeEncStyle, java.io.Writer sink, NSStack nsStack, XMLJavaMappingRegistry xjmr, SOAPContext ctx)`
`void` | `removeAttribute(QName attrQName)`
`void` | `setAttribute(QName attrQName, java.lang.String value)`
`void` | `setDetailEntries(java.util.Vector detailEntries)`
`void` | `setFaultActorURI(java.lang.String faultActorURI)`
`void` | `setFaultCode(java.lang.String faultCode)`
`void` | `setFaultEntries(java.util.Vector faultEntries)`
`void` | `setFaultString(java.lang.String faultString)`
`java.lang.String` | `toString()`
`static Fault` | `unmarshall(java.lang.String inScopeEncStyle, Node src, XMLJavaMappingRegistry xjmr, SOAPContext ctx)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Fault

    public Fault()

### Fault

    public Fault(SOAPException _soapException)

Method Detail

### setAttribute

    public void setAttribute(QName attrQName,
                             java.lang.String value)

### getAttribute

    public java.lang.String getAttribute(QName attrQName)

### removeAttribute

    public void removeAttribute(QName attrQName)

### declareNamespace

    public void declareNamespace(java.lang.String nsPrefix,
                                 java.lang.String namespaceURI)

### setFaultCode

    public void setFaultCode(java.lang.String faultCode)

### getFaultCode

    public java.lang.String getFaultCode()

### setFaultString

    public void setFaultString(java.lang.String faultString)

### getFaultString

    public java.lang.String getFaultString()

### setFaultActorURI

    public void setFaultActorURI(java.lang.String faultActorURI)

### getFaultActorURI

    public java.lang.String getFaultActorURI()

### setDetailEntries

    public void setDetailEntries(java.util.Vector detailEntries)

### getDetailEntries

    public java.util.Vector getDetailEntries()

### setFaultEntries

    public void setFaultEntries(java.util.Vector faultEntries)

### getFaultEntries

    public java.util.Vector getFaultEntries()

### marshall

    public void marshall(java.lang.String inScopeEncStyle,
                         java.io.Writer sink,
    NSStack nsStack,
    XMLJavaMappingRegistry xjmr,
    SOAPContext ctx)
                  throws java.lang.IllegalArgumentException,
                         java.io.IOException

    `java.lang.IllegalArgumentException`
    `java.io.IOException`

### unmarshall

    public static Fault unmarshall(java.lang.String inScopeEncStyle,
    Node src,
    XMLJavaMappingRegistry xjmr,
    SOAPContext ctx)
                            throws java.lang.IllegalArgumentException

    `java.lang.IllegalArgumentException`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® Application Server XML Java API Reference 10g Release 2 (10.1.2) Part no. B12024-03 September 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001 The Apache Software Foundation. All rights reserved.